Get Feature Flag

Get Feature Flag
Get a feature flag

Get a feature flag.

Request
URI
GET
https://api.example.local/v3/feature_flags/{name}
COPY
Path Parameters
string
name
Required

The name of the feature flag

Possible values are : app_bits_upload, app_scaling, diego_docker, diego_cnb, env_var_visibility, hide_marketplace_from_unauthenticated_users, private_domain_creation, resource_matching, route_creation, route_sharing, service_instance_creation, service_instance_sharing, set_roles_by_username, space_developer_env_var_visibility, space_scoped_private_broker_creation, task_creation, unset_roles_by_username, user_org_creation,

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved feature flag

Returns FeatureFlag of type(s) application/json
{
    "name": "string",
    "enabled": false,
    "updated_at": "string",
    "custom_error_message": "string",
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        }
    }
}
string
name
Optional

The name of the feature flag

boolean
enabled
Optional

Whether the feature flag is enabled

string As date-time As date-time
updated_at
Optional

The time the feature flag was last updated; this will be blank for feature flags that have not been configured

string
custom_error_message
Optional

The error string returned by the API when a client performs an action disabled by the feature flag

object
links
Optional

links


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/feature_flags/{name}